# 重新启用循环扣款 (/zh/docs/cartao/endpoints/recurrences/put_charges_recurrences__recurrentPaymentId__reactivate)

## PUT /charges/recurrences/{recurrentPaymentId}/reactivate

`PUT https://api.payzu.io/v1/charges/recurrences/{recurrentPaymentId}/reactivate`

Resumes a deactivated recurrence: the status returns to `ACTIVE` and cycles are generated again.

### Path params

| Field | Type | Required | Details |
| --- | --- | --- | --- |
| `recurrentPaymentId` | string | yes | Recurrence id |

### Responses

**200** Successful request

| Field | Type | Required | Details |
| --- | --- | --- | --- |
| `recurrentPaymentId` | string | no | Recurrence identifier. Use it on the recurrence query and management endpoints |
| `interval` | string | no | Configured interval — `MONTHLY`, `ANNUAL` |
| `status` | string | no | Recurrence status. See [Recurring Payments](https://docs.payzu.com.br/docs/cartao/recurrence) — `ACTIVE`, `INACTIVE`, `ENDED` |
| `amount` | number | no | Amount of each cycle, in cents |
| `nextRecurrency` | string | no | Date of the next automatic charge |
| `endDate` | string | no | End date, if provided at creation |